(function($){
	var initLayout = function() {
		$('#colorSelector').ColorPicker({
			color: '#22343C',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#link_color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
				$('#vlink_color').css('color', '#' + hex);
                $('#link_color').val( '#' + hex );
				$('#sample_1').css('backgroundColor', '#' + hex);
			}
		});


		$('#colorSelector2').ColorPicker({
			color: '#ff3600',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#title_color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#vtitle_color').css('color', '#' + hex);
				$('#title_color').val( '#' + hex );
				$('#sample_2').css('backgroundColor', '#' + hex);
			}
		});
		$('#colorSelector3').ColorPicker({
			color: '#323D42',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#bg_color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#design_setup1_pad').css('backgroundColor', '#' + hex);
			    $('#bg_color').val( '#' + hex );
				$('#sample_3').css('backgroundColor', '#' + hex);
			}
		});
		$('#colorSelector4').ColorPicker({
			color: '#FFFFFF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#txt_color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#vtxt_color').css('color', '#' + hex);
  				$('#vtxta_color').css('color', '#' + hex);
				$('#vtxta_color').css('borderColor', '#' + hex);
				$('#txt_color').val( '#' + hex );
				$('#sample_4').css('backgroundColor', '#' + hex);
			}
		});
		$('#colorSelector5').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#ltxt_color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
				$('#ltxt_color1').css('color', '#' + hex);
				$('#ltxt_color2').css('color', '#' + hex);
				$('#ltxt_color').val( '#' + hex );
				$('#sample_5').css('backgroundColor', '#' + hex);
			}
		});
		$('#colorSelector6').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#background').val() );
           	},
			onChange: function (hsb, hex, rgb) {
				$('#vttitle_color').css('color', '#' + hex);
				$('#background').val( '#' + hex );
				$('#sample_6').css('backgroundColor', '#' + hex);
			}
		});
		$('#colorSelector7').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#vote_color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
				$('#vvote_color1').css('color', '#' + hex);
                $('#vvote_color2').css('color', '#' + hex);
			    $('#vote_color').val( '#' + hex );
				$('#sample_7').css('backgroundColor', '#' + hex);
			}
		});
		$('#colorSelector8').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#sh_color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#sh_color').val( '#' + hex );
				$('#sample_8').css('backgroundColor', '#' + hex);
			}
		});

		$('#colorSelector9').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#color').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#color').val( '#' + hex );
				$('#sample_9').css('backgroundColor', '#' + hex);
				$('#bcl').css('backgroundColor', '#' + hex);
				$('#bcr').css('backgroundColor', '#' + hex);
				$('#aw_style').css('color', '#' + hex);
				ChgColor();
			}
		});


		$('#colorSelector10').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color1').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color1').val( '#' + hex );
				$('#sample_10').css('backgroundColor', '#' + hex);
				$('#aw_color1_1').css('color', '#' + hex);

				ChgColor();
			}
		});
		$('#colorSelector11').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color2').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color2').val( '#' + hex );
				$('#sample_11').css('backgroundColor', '#' + hex);
				$('#aw_color2_1').css('backgroundColor', '#' + hex);
				ChgColor();
			}
		});
		$('#colorSelector12').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color3').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color3').val( '#' + hex );
				$('#sample_12').css('backgroundColor', '#' + hex);
				$('#aw_color3_1').css('backgroundColor', '#' + hex);
				$('#aw_color3_2').css('backgroundColor', '#' + hex);
				ChgColor();
			}
		});
		$('#colorSelector13').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color4').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color4').val( '#' + hex );
				$('#sample_13').css('backgroundColor', '#' + hex);

				$('#aw_color4_1').css('color', '#' + hex);
				$('#aw_color4_2').css('color', '#' + hex);
				$('#aw_color3_2').css('color', '#' + hex);

				ChgColor();
			}
		});
		$('#colorSelector14').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color5').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color5').val( '#' + hex );
				$('#sample_14').css('backgroundColor', '#' + hex);
				$('#aw_color5_1').css('color', '#' + hex);
				$('#aw_color5_2').css('color', '#' + hex);

				$('#aw_color7_1').css('color', '#' + hex);
				$('#aw_color7_2').css('color', '#' + hex);
				$('#aw_color7_3').css('color', '#' + hex);
				ChgColor();
			}
		});
		$('#colorSelector15').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color6').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color6').val( '#' + hex );
				$('#sample_15').css('backgroundColor', '#' + hex);

				$('#aw_color6_1').css('backgroundColor', '#' + hex);
				$('#aw_color6_2').css('backgroundColor', '#' + hex);
				ChgColor();
			}
		});
		$('#colorSelector16').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color7').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color7').val( '#' + hex );
				$('#sample_16').css('backgroundColor', '#' + hex);

				$('#aw_color7_1').css('backgroundColor', '#' + hex);
				$('#aw_color7_2').css('backgroundColor', '#' + hex);
				$('#aw_color7_3').css('backgroundColor', '#' + hex);
				$('#aw_color7_4').css('backgroundColor', '#' + hex);
				ChgColor();
			}
		});
		$('#colorSelector17').ColorPicker({
			color: '#EFEFEF',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(300);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(300);
				return false;
			},
			onBeforeShow: function (colpkr) {
				$(this).ColorPickerSetColor( $('#aw_color8').val() );
           	},
			onChange: function (hsb, hex, rgb) {
			    $('#aw_color8').val( '#' + hex );
				$('#sample_17').css('backgroundColor', '#' + hex);
				ChgColor();
			}
		});


	};
	EYE.register(initLayout, 'init');
})(jQuery)
